| Home | Libraries | People | FAQ | More

## Class template binary_negate

boost::compute::binary_negate

## Synopsis

    // In header: <boost/compute/functional/logical.hpp>

    template<typename Predicate>
    class binary_negate :
      public boost::compute::binary_function< void, void, int >
    {
    public:
      // construct/copy/destruct
      explicit binary_negate(Predicate);
    };

## Description

The binnary_negate function adaptor negates a binary function.

See Also:

not2()

### `binary_negate` public construct/copy/destruct

1.     explicit binary_negate(Predicate pred);